Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2LuceneSearch.java	(revision 25635)
@@ -30,4 +30,5 @@
 import java.util.HashMap;
 import java.io.File;
+import java.io.Serializable;
 import java.util.Iterator;
 import java.util.Set;
@@ -62,5 +63,5 @@
 
     /** do any initialisation of the query object */
-    protected boolean setUpQueryer(HashMap params) {
+    protected boolean setUpQueryer(HashMap<String, Serializable> params) {
 	String indexdir = GSFile.collectionBaseDir(this.site_home, this.cluster_name) + File.separatorChar + "index"+File.separatorChar;
 	
@@ -173,5 +174,5 @@
 
     /** add in term info if available */
-    protected boolean addTermInfo(Element term_list, HashMap params,
+    protected boolean addTermInfo(Element term_list, HashMap<String, Serializable> params,
 				  Object query_result) {
 	String query_level = (String)params.get(LEVEL_PARAM); // the current query level
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGPPSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGPPSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGPPSearch.java	(revision 25635)
@@ -42,4 +42,5 @@
 import java.util.Vector;
 import java.io.File;
+import java.io.Serializable;
 
 import org.apache.log4j.*;
@@ -93,5 +94,5 @@
   }
   
-  protected boolean setUpQueryer(HashMap params) {
+  protected boolean setUpQueryer(HashMap<String, Serializable> params) {
     
     // set up the defaults that may be changed by query params
@@ -189,5 +190,5 @@
   }
   
-  protected boolean addTermInfo(Element term_list, HashMap params,
+  protected boolean addTermInfo(Element term_list, HashMap<String, Serializable> params,
     Object query_result) {
     
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GS2MGSearch.java	(revision 25635)
@@ -36,4 +36,5 @@
 import java.util.Iterator;
 import java.io.File;
+import java.io.Serializable;
 
 import org.apache.log4j.*;
@@ -92,5 +93,5 @@
         
         // Process the request parameters
-        HashMap params = GSXML.extractParams (param_list, false);
+        HashMap<String, Serializable> params = GSXML.extractParams (param_list, false);
         
         // Make sure a query has been specified
@@ -213,5 +214,5 @@
     
     // should probably use a list rather than map
-    protected boolean setStandardQueryParams(HashMap params)
+    protected boolean setStandardQueryParams(HashMap<String, Serializable> params)
     {
 	// set the default settings that gs uses
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GoogleNgramMGPPSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GoogleNgramMGPPSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/GoogleNgramMGPPSearch.java	(revision 25635)
@@ -64,5 +64,5 @@
 	  //ArrayList docList_present = new ArrayList();
 	  
-	 ArrayList docList = new ArrayList();
+	 ArrayList<DocWrapper> docList = new ArrayList<DocWrapper>();
 
 	  for (int d = 0; d < docs.size(); d++) {
@@ -133,5 +133,5 @@
 // 	    interval = 10;
 
-	      doc_nums[d] = ((DocWrapper)docList.get(d)).num;
+	      doc_nums[d] = docList.get(d).num;
 	    
 	  }
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaProxy.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaProxy.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaProxy.java	(revision 25635)
@@ -15,4 +15,5 @@
 import java.io.InputStreamReader;
 import java.io.IOException;
+import java.io.Serializable;
 import java.net.HttpURLConnection;
 import java.net.URLConnection;
@@ -176,5 +177,5 @@
 
 	// Process the request parameters
-	HashMap params = GSXML.extractParams(param_list, false);
+	HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 
 	// Make sure a query has been specified
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaRetrieve.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaRetrieve.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaRetrieve.java	(revision 25635)
@@ -205,5 +205,5 @@
     }
 
-    protected ArrayList getChildrenIds(String node_id){
+    protected ArrayList<String> getChildrenIds(String node_id){
 	return null; 
     }
@@ -215,5 +215,5 @@
     protected Element getMetadataList (String doc_id,
 				       boolean all_metadata,
-				       ArrayList metadata_names) 
+				       ArrayList<String> metadata_names) 
 	throws GSException {
 	
@@ -225,7 +225,7 @@
 
 	for (int i=0; i<metadata_names.size();i++){
-	    if (isAcceptableMetadata((String)metadata_names.get(i))){
+	    if (isAcceptableMetadata(metadata_names.get(i))){
 		metadata_found = true;
-		field_list.append((String)metadata_names.get(i));
+		field_list.append(metadata_names.get(i));
 		field_list.append(",");
 	    }
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/IViaSearch.java	(revision 25635)
@@ -15,4 +15,5 @@
 import java.io.File;
 import java.io.BufferedReader;
+import java.io.Serializable;
 import java.net.Authenticator;
 
@@ -37,5 +38,5 @@
 
     protected String ivia_server_url = null;
-    protected ArrayList index_ids = null;
+    protected ArrayList<String> index_ids = null;
     public IViaSearch()
     {
@@ -62,5 +63,5 @@
 	does_multi_index_search = true;
 	this.default_index = ",kw,au,su,ti,de,fu,"; // all of them
-	index_ids = new ArrayList();
+	index_ids = new ArrayList<String>();
 	index_ids.add("kw");
 	index_ids.add("au");	
@@ -88,5 +89,5 @@
 
 	// Process the request parameters
-	HashMap params = GSXML.extractParams(param_list, false);
+	HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 
 	// Make sure a query has been specified
@@ -195,5 +196,5 @@
        An IVia server has a fixed list of fields to search (I think) so we can hard code them here rather than reading them in from a config file
     */
-    protected void getIndexData(ArrayList index_ids, ArrayList index_names,String lang){
+    protected void getIndexData(ArrayList<String> index_ids, ArrayList<String> index_names,String lang){
 	index_ids.addAll(this.index_ids);
 	index_names.add(getTextString("param."+INDEX_PARAM+".kw", lang)); 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/LuceneSearch.java	(revision 25635)
@@ -29,4 +29,5 @@
 import org.greenstone.LuceneWrapper3.GS2Analyzer;
 import java.io.File;
+import java.io.Serializable;
 
 import org.apache.log4j.*;
@@ -43,9 +44,9 @@
     protected static final String INDEX_ELEM = "index";
 
-    protected ArrayList index_ids;
+    protected ArrayList<String> index_ids;
 
     public LuceneSearch()
     {
-	index_ids = new ArrayList();
+	index_ids = new ArrayList<String>();
     }
     
@@ -77,5 +78,5 @@
     }
     
-    protected void getIndexData(ArrayList index_ids, ArrayList index_names, String lang) 
+    protected void getIndexData(ArrayList<String> index_ids, ArrayList<String> index_names, String lang) 
     {
 	// copying exercise for index_ids, 
@@ -133,5 +134,5 @@
 
 	// Process the request parameters to make sure a query has been specified
-	HashMap params = GSXML.extractParams(param_list, false);
+	HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 	String query_string = (String) params.get(QUERY_PARAM);
 
@@ -164,5 +165,5 @@
 	}
 
-	HashMap params = GSXML.extractParams(param_list, false);
+	HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 	String query_string = (String) params.get(QUERY_PARAM);
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapRetrieve.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapRetrieve.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapRetrieve.java	(revision 25635)
@@ -10,5 +10,4 @@
 
 // General Java classes
-import java.io.File;
 import java.io.*;
 import java.util.StringTokenizer;
@@ -36,6 +35,6 @@
     protected static final int DOCUMENT=1;
 
-    protected ArrayList index_name_list = null;
-    protected ArrayList index_display_list = null;
+    protected ArrayList<String> index_name_list = null;
+    protected ArrayList<String> index_display_list = null;
     protected String files_home_dir = null; 
     protected String temp_files_dir = null;
@@ -45,5 +44,5 @@
     protected String http_image_dir = null;
     protected String http_temp_image_dir = null;
-    private LinkedList namesInList = new LinkedList();
+    private LinkedList<String> namesInList = new LinkedList<String>();
 
     private DefaultMutableTreeNode tree;
@@ -91,6 +90,6 @@
 	this.http_temp_image_dir = this.site_http_address + "/collect/"+this.cluster_name+"/temp/";
 
-	this.index_name_list = new ArrayList();
-	this.index_display_list = new ArrayList();
+	this.index_name_list = new ArrayList<String>();
+	this.index_display_list = new ArrayList<String>();
 	Element index_list = (Element)GSXML.getChildByTagName(this.config_info, GSXML.INDEX_ELEM+GSXML.LIST_MODIFIER);
 	Element display_index_list = (Element)GSXML.getChildByTagName(extra_info, "search");
@@ -200,5 +199,5 @@
 
 	// The metadata information required
-	Vector metadata_list = new Vector();
+	Vector<String> metadata_list = new Vector<String>();
 	boolean all_metadata = false;
 	// Process the request parameters
@@ -292,5 +291,5 @@
 		// create the navigation thumbnails.  This doesn't seem to work most of the time ???????
 		for (int m = 0; m < metadata_list.size(); m++) {
-		    String metadata = (String) metadata_list.get(m);
+		    String metadata = metadata_list.get(m);
 		    thumb = "";
 		    String value = "";
@@ -448,5 +447,5 @@
 		    //put the names in an array
 		    for(int ri=0; namesInList.size()>0; ri++){
-			returnNames[ri]=(String)namesInList.getFirst();
+			returnNames[ri]=namesInList.getFirst();
 			returnNames[ri] = returnNames[ri].substring(0,returnNames[ri].indexOf('`'));
 			namesInList.removeFirst();
@@ -825,9 +824,9 @@
 
 	for (int i=0; i<this.index_name_list.size(); i++) {
-	    String name = (String)this.index_name_list.get(i);
+	    String name = this.index_name_list.get(i);
 	    dropDownBox.append("<option value=\"");
 	    dropDownBox.append(name);
 	    dropDownBox.append("\">");
-	    String display = (String)this.index_display_list.get(i);
+	    String display = this.index_display_list.get(i);
 	    dropDownBox.append(display);
 	    dropDownBox.append("\n");
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/MapSearch.java	(revision 25635)
@@ -41,4 +41,5 @@
 import java.io.ObjectInputStream;
 import java.io.FileInputStream;
+import java.io.Serializable;
 import java.lang.ClassNotFoundException;
 
@@ -140,5 +141,5 @@
     }
 
-    protected void getIndexData(ArrayList index_ids, ArrayList index_names, String lang) 
+    protected void getIndexData(ArrayList<String> index_ids, ArrayList<String> index_names, String lang) 
     {
 	// for now, we just have one dummy index
@@ -174,5 +175,5 @@
 
 	// Process the request parameters
-	HashMap params = GSXML.extractParams(param_list, false);
+	HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 
 	// Make sure a query has been specified
@@ -241,5 +242,5 @@
 	String nameData;
 	double xco, yco;
-	LinkedList mapList = new LinkedList();
+	LinkedList<Object> mapList = new LinkedList<Object>();
 	LinkedList placeList = new LinkedList();
 	String readString = "";
@@ -304,5 +305,5 @@
 
 	//for each map, create a list of the query matches on that map
-	LinkedList tempList = new LinkedList();
+	LinkedList<Object> tempList = new LinkedList<Object>();
 	String mapNumber = "";
 	String currentMap[] = {"",""};
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/OAIPMH.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/OAIPMH.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/OAIPMH.java	(revision 25635)
@@ -227,7 +227,7 @@
      */ 
     NodeList params = GSXML.getChildrenByTagName(req, OAIXML.PARAM);
-    HashMap param_map = OAIXML.getParamMap(params);    
-    
-    String prefix = (String)param_map.get(OAIXML.METADATA_PREFIX);
+    HashMap<String, String> param_map = OAIXML.getParamMap(params);    
+    
+    String prefix = param_map.get(OAIXML.METADATA_PREFIX);
     if (prefix == null || prefix.equals("")) {
       //Just a double-check
@@ -242,5 +242,5 @@
     }
     
-    String oid = (String)param_map.get(OAIXML.OID);
+    String oid = param_map.get(OAIXML.OID);
 
     //get a DBInfo object of the identifier; if this identifier is not present in the database,
@@ -252,5 +252,5 @@
     }
 
-    ArrayList keys = new ArrayList(info.getKeys());
+    ArrayList<String> keys = new ArrayList<String>(info.getKeys());
     String oailastmodified = "";
     if(keys.contains(OAIXML.OAI_LASTMODIFIED)) {
@@ -285,5 +285,5 @@
     }
     
-    HashMap param_map = OAIXML.getParamMap(params);  
+    HashMap<String, String> param_map = OAIXML.getParamMap(params);  
     
     String prefix = "";
@@ -296,5 +296,5 @@
       return OAIXML.getResponse(OAIXML.createErrorElement(OAIXML.CANNOT_DISSEMINATE_FORMAT, ""));
     }
-    prefix = (String)param_map.get(OAIXML.METADATA_PREFIX);
+    prefix = param_map.get(OAIXML.METADATA_PREFIX);
     if (prefix == null || prefix.equals("")) {
       //Just a double-check
@@ -304,9 +304,9 @@
     
     if(param_map.containsKey(OAIXML.FROM)) {
-      String from = (String)param_map.get(OAIXML.FROM);
+      String from = param_map.get(OAIXML.FROM);
       from_date = OAIXML.getDate(from);
     }    
     if(param_map.containsKey(OAIXML.UNTIL)) {
-      String until = (String)param_map.get(OAIXML.UNTIL);
+      String until = param_map.get(OAIXML.UNTIL);
       until_date = OAIXML.getDate(until);
     }    
@@ -317,5 +317,5 @@
       return OAIXML.getResponse(OAIXML.createErrorElement(OAIXML.CANNOT_DISSEMINATE_FORMAT, ""));
     }
-    ArrayList oid_list = getChildrenIds(OAIXML.BROWSELIST);
+    ArrayList<String> oid_list = getChildrenIds(OAIXML.BROWSELIST);
     if (oid_list == null) {
       logger.error("No matched records found in collection: browselist is empty");
@@ -325,5 +325,5 @@
     Element list_identifiers = OAIXML.createElement(OAIXML.LIST_IDENTIFIERS);
     for(int i=0; i<oid_list.size(); i++) {
-      String oid = (String)oid_list.get(i);
+      String oid = oid_list.get(i);
       DBInfo info = this.coll_db.getInfo(oid);
       if (info == null) {
@@ -331,5 +331,5 @@
         continue;
       }
-      ArrayList keys = new ArrayList(info.getKeys());
+      ArrayList<String> keys = new ArrayList<String>(info.getKeys());
       String oailastmodified = "";
       if(keys.contains(OAIXML.OAI_LASTMODIFIED)) {
@@ -370,5 +370,5 @@
     }
     
-    HashMap param_map = OAIXML.getParamMap(params);    
+    HashMap<String, String> param_map = OAIXML.getParamMap(params);    
 
     String prefix = "";
@@ -381,5 +381,5 @@
       return OAIXML.getResponse(OAIXML.createErrorElement(OAIXML.CANNOT_DISSEMINATE_FORMAT, ""));
     }
-    prefix = (String)param_map.get(OAIXML.METADATA_PREFIX);
+    prefix = param_map.get(OAIXML.METADATA_PREFIX);
     if (prefix == null || prefix.equals("")) {
       //Just a double-check
@@ -389,9 +389,9 @@
     
     if(param_map.containsKey(OAIXML.FROM)) {
-      String from = (String)param_map.get(OAIXML.FROM);
+      String from = param_map.get(OAIXML.FROM);
       from_date = OAIXML.getDate(from);
     }    
     if(param_map.containsKey(OAIXML.UNTIL)) {
-      String until = (String)param_map.get(OAIXML.UNTIL);
+      String until = param_map.get(OAIXML.UNTIL);
       until_date = OAIXML.getDate(until);
     }    
@@ -403,5 +403,5 @@
     
     //get a list of identifiers (it contains a list of strings)
-    ArrayList oid_list = getChildrenIds(OAIXML.BROWSELIST);
+    ArrayList<String> oid_list = getChildrenIds(OAIXML.BROWSELIST);
     if (oid_list == null) {
       logger.error("No matched records found in collection: browselist is empty");
@@ -411,5 +411,5 @@
     Element list_records = OAIXML.createElement(OAIXML.LIST_RECORDS);
     for(int i=0; i<oid_list.size(); i++) {
-      String oid = (String)oid_list.get(i);
+      String oid = oid_list.get(i);
       DBInfo info = this.coll_db.getInfo(oid);
       if (info == null) {
@@ -417,5 +417,5 @@
         continue;
       }
-      ArrayList keys = new ArrayList(info.getKeys());
+      ArrayList<String> keys = new ArrayList<String>(info.getKeys());
       String oailastmodified = "";
       if(keys.contains(OAIXML.OAI_LASTMODIFIED)) {
@@ -527,5 +527,5 @@
       return OAIXML.getResponse(OAIXML.createErrorElement(OAIXML.ID_DOES_NOT_EXIST, ""));
     }
-    ArrayList oid_list = getChildrenIds(OAIXML.BROWSELIST);
+    ArrayList<String> oid_list = getChildrenIds(OAIXML.BROWSELIST);
     if (oid_list == null || oid_list.contains(oid) == false) {
       logger.error("OID: " + oid + " is not present in the database.");
@@ -591,5 +591,5 @@
 
   /** returns a list of the child ids in order, null if no children */
-  protected ArrayList getChildrenIds(String node_id) {
+  protected ArrayList<String> getChildrenIds(String node_id) {
     DBInfo info = this.coll_db.getInfo(node_id);
     if (info == null) {
@@ -601,5 +601,5 @@
       return null;
     }
-    ArrayList children = new ArrayList();
+    ArrayList<String> children = new ArrayList<String>();
     StringTokenizer st = new StringTokenizer(contains, ";");
     while (st.hasMoreTokens()) {
@@ -663,7 +663,7 @@
   public String[] getMetadata(DBInfo info, String names) {
     String[] name_value = new String[2];
-    ArrayList keys = new ArrayList(info.getKeys());
+    ArrayList<String> keys = new ArrayList<String>(info.getKeys());
     for (int i=0; i<keys.size(); i++) {
-      String key = (String)keys.get(i);
+      String key = keys.get(i);
       String first_name = "";
       String second_name = "";
@@ -689,5 +689,5 @@
       return null;
     }
-    HashMap map = new HashMap();
+    HashMap<String, String> map = new HashMap<String, String>();
     boolean empty_map = true;
     
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/PhindPhraseBrowse.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/PhindPhraseBrowse.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/PhindPhraseBrowse.java	(revision 25635)
@@ -30,4 +30,5 @@
 import java.util.HashMap;
 import java.io.File;
+import java.io.Serializable;
 
 import org.apache.log4j.*;
@@ -133,5 +134,5 @@
     
     Element param_elem = (Element)GSXML.getChildByTagName(request, GSXML.PARAM_ELEM+GSXML.LIST_MODIFIER);
-    HashMap params = GSXML.extractParams(param_elem, false);
+    HashMap<String, Serializable> params = GSXML.extractParams(param_elem, false);
     
     long first_e = Long.parseLong((String)params.get("pfe"));
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceRack.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceRack.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceRack.java	(revision 25635)
@@ -92,5 +92,5 @@
 	 * XML element for stylesheet requests - map of service name to format elem
 	 */
-	protected HashMap format_info_map = null;
+	protected HashMap<String, Node> format_info_map = null;
 
 	/**
@@ -151,5 +151,5 @@
 		this.doc = this.converter.newDOM();
 		this.short_service_info = this.doc.createElement(GSXML.SERVICE_ELEM + GSXML.LIST_MODIFIER);
-		this.format_info_map = new HashMap();
+		this.format_info_map = new HashMap<String, Node>();
 	}
 
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceUtil.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceUtil.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/ServiceUtil.java	(revision 25635)
@@ -2,4 +2,5 @@
 
 import java.io.File;
+import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.HashMap;
@@ -79,5 +80,5 @@
 		}
 
-		HashMap params = GSXML.extractParams(param_list, false);
+		HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
 		
 		String regex = (String)params.get("extregex");
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/SharedSoleneGS2FieldSearch.java	(revision 25635)
@@ -93,11 +93,11 @@
 		if (name.equals(RANK_PARAM)) {
 			// get the fields
-			ArrayList fields = new ArrayList();
+			ArrayList<String> fields = new ArrayList<String>();
 			fields.add(RANK_PARAM_RANK_VALUE);
-			ArrayList field_names = new ArrayList();
+			ArrayList<String> field_names = new ArrayList<String>();
 			field_names.add(getTextString("param.sortBy.rank", lang)); 
 			getSortByIndexData(fields, field_names, lang);
 			
-			param = GSXML.createParameterDescription2(this.doc, name, getTextString("param."+name, lang), GSXML.PARAM_TYPE_ENUM_SINGLE, (String)fields.get(0), fields, field_names );
+			param = GSXML.createParameterDescription2(this.doc, name, getTextString("param."+name, lang), GSXML.PARAM_TYPE_ENUM_SINGLE, fields.get(0), fields, field_names );
 		}
 		if (param != null) {
@@ -108,5 +108,5 @@
 	}
 	
-	protected void getSortByIndexData(ArrayList index_ids, ArrayList index_names, String lang) {
+	protected void getSortByIndexData(ArrayList<String> index_ids, ArrayList<String> index_names, String lang) {
 		// the index info -
 		Element index_list = (Element)GSXML.getChildByTagName(this.config_info, INDEX_ELEM+GSXML.LIST_MODIFIER);
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XMLRetrieve.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XMLRetrieve.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XMLRetrieve.java	(revision 25635)
@@ -16,4 +16,5 @@
 // General Java classes
 import java.io.File;
+import java.io.Serializable;
 import java.util.Vector;
 import java.util.HashMap;
@@ -46,5 +47,5 @@
 	// look for the parameters
 	Element param_list = (Element)GSXML.getChildByTagName(info, GSXML.PARAM_ELEM+GSXML.LIST_MODIFIER);
-	HashMap params;
+	HashMap<String, Serializable> params;
 	String services_to_provide = "";
 	if (param_list != null) {
@@ -242,5 +243,5 @@
 	}
 	
-	Vector meta_name_list = new Vector();
+	Vector<String> meta_name_list = new Vector<String>();
 	boolean all_metadata = false;
 	// Process the request parameters
@@ -345,5 +346,5 @@
     }
 
-    protected Element getMetadata(String node_id, boolean all, Vector meta_name_list) {
+    protected Element getMetadata(String node_id, boolean all, Vector<String> meta_name_list) {
 
 	// our default strategy here is to only return Title and root:Title
@@ -373,5 +374,5 @@
 	    // have to process metadata one by one
 	    for (int i=0; i<meta_name_list.size(); i++) {
-		String meta_name = (String) meta_name_list.elementAt(i);
+		String meta_name = meta_name_list.elementAt(i);
 		String actual_meta_name = meta_name;
 		if (meta_name.startsWith("root_")) {
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XSLTServices.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XSLTServices.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/service/XSLTServices.java	(revision 25635)
@@ -216,5 +216,5 @@
 
     // extract the only parameter we care about
-    HashMap params = GSXML.extractParams(param_list, false);
+    HashMap<String, Serializable> params = GSXML.extractParams(param_list, false);
     String query = (String)params.get(QUERY_PARAM);
     
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/DatabaseFactory.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/DatabaseFactory.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/DatabaseFactory.java	(revision 25635)
@@ -11,5 +11,5 @@
 
 public class DatabaseFactory{
-    private static HashMap serverMap = new HashMap();
+    private static HashMap<String, SQLServer> serverMap = new HashMap<String, SQLServer>();
     private static Logger logger = Logger.getLogger(org.greenstone.gsdl3.sql.DatabaseFactory.class.getName());
 
@@ -29,5 +29,5 @@
     public static final SQLServer getDatabaseServer(String dbname){
 	dbname = properDBName(dbname);
-	if (serverMap.containsKey(dbname)) return (SQLServer) serverMap.get(dbname);
+	if (serverMap.containsKey(dbname)) return serverMap.get(dbname);
 	String fullName = "org.greenstone.gsdl3.sql." + dbname.toLowerCase()+ "." + dbname +"SQLServer";
 	try {
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/MetadataDBWrapper.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/MetadataDBWrapper.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/MetadataDBWrapper.java	(revision 25635)
@@ -2,4 +2,5 @@
 
 import java.util.ArrayList;
+import java.util.HashMap;
 
 import java.sql.ResultSet;
@@ -22,5 +23,5 @@
 
      //return a list of rows
-    public ArrayList executeQuery(String query_statement);
+    public ArrayList<HashMap<String, Object>> executeQuery(String query_statement);
 
     public ResultSet queryResultSet(String query_statement);
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/derby/DerbyDBWrapper.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/derby/DerbyDBWrapper.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/sql/derby/DerbyDBWrapper.java	(revision 25635)
@@ -30,9 +30,9 @@
 	if(sqlState == null) return null;
         String dbInfoState = sqlState.getDBInfoStatement(id);
-        ArrayList result = executeQuery(dbInfoState);
+        ArrayList<HashMap<String, Object>> result = executeQuery(dbInfoState);
 	if (result.size() == 0) return null;
 	DBInfo info = new DBInfo();
 	for(int i=0;  i<result.size();i++){
-	    HashMap arow = (HashMap)result.get(i);
+	    HashMap arow = result.get(i);
 	    Iterator ite = arow.keySet().iterator();
 	    while(ite.hasNext()){
@@ -90,7 +90,7 @@
     }
 
-    public synchronized ArrayList executeQuery(String query_statement){
+    public synchronized ArrayList<HashMap<String, Object>> executeQuery(String query_statement){
 	//the database hasn't been correct yet
-    	ArrayList results = new ArrayList();
+    	ArrayList<HashMap<String, Object>> results = new ArrayList<HashMap<String, Object>>();
 	ResultSet rs = null;
 	try{	
@@ -101,5 +101,5 @@
 	    int numOfColumns = rsmd.getColumnCount();
 	    while(rs.next()){
-		HashMap arow = new HashMap();
+		HashMap<String, Object> arow = new HashMap<String, Object>();
 		for(int i = 1; i <= numOfColumns ; i++){
 		    arow.put(rsmd.getColumnName(i).toLowerCase(), rs.getObject(i));
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/DBInfo.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/DBInfo.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/DBInfo.java	(revision 25635)
@@ -30,9 +30,9 @@
 public class DBInfo
 {
-	protected HashMap info_map_;
+	protected HashMap<String, Vector<String>> info_map_;
 
 	public DBInfo()
 	{
-		info_map_ = new HashMap();
+		info_map_ = new HashMap<String, Vector<String>>();
 	}
 
@@ -42,5 +42,5 @@
 	public void setInfo(String key, String value)
 	{
-		Vector v = new Vector();
+		Vector<String> v = new Vector<String>();
 		v.add(value);
 		info_map_.put(key, v);
@@ -53,5 +53,5 @@
 	public String getInfo(String key)
 	{
-		Vector items = (Vector) info_map_.get(key);
+		Vector items = info_map_.get(key);
 		if (items == null)
 		{
@@ -66,8 +66,8 @@
 	public void addInfo(String key, String value)
 	{
-		Vector v = (Vector) info_map_.get(key);
+		Vector<String> v = info_map_.get(key);
 		if (v == null)
 		{
-			v = new Vector();
+			v = new Vector<String>();
 		}
 		v.add(value);
@@ -80,11 +80,11 @@
 	 * @return Vector of Strings
 	 */
-	public Vector getMultiInfo(String key)
+	public Vector<String> getMultiInfo(String key)
 	{
-		return (Vector) info_map_.get(key);
+		return info_map_.get(key);
 	}
 
 	/** returns a list of all the keys in the info */
-	public Set getKeys()
+	public Set<String> getKeys()
 	{
 		return info_map_.keySet();
Index: /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GS2MacroResolver.java
===================================================================
--- /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GS2MacroResolver.java	(revision 25634)
+++ /main/trunk/greenstone3/src/java/org/greenstone/gsdl3/util/GS2MacroResolver.java	(revision 25635)
@@ -26,4 +26,5 @@
 // Apache Commons
 import org.apache.commons.lang3.*;
+import org.greenstone.gsdl3.util.MacroResolver.Macro;
 
 import java.util.Stack;
@@ -65,5 +66,5 @@
 	} 
 
-	Stack macros = new Stack();//ArrayList macros;
+	Stack<Macro> macros = new Stack<Macro>();//ArrayList macros;
 	if (scope.equals(SCOPE_TEXT)) {
 	    macros.addAll(text_macros);
@@ -74,5 +75,5 @@
 	while(!macros.empty()) {
 	    String new_text = null;
-	    Macro m = (Macro)macros.pop();//.get(i);
+	    Macro m = macros.pop();//.get(i);
 	    switch (m.type) {
 	    case TYPE_DICT:
